/order

Creates Order in Zip

If the merchant is configured with deferFundsCapture set to false, the entire order amount will be Captured immediately.

If this configuration is set to true, you are required to manually call the /capture endpoint when you want funds to be released.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Data Types

KeyValue Data Type
expiryDateTimestring
redirectUrlstring
orderIdstring
Body Params
float
required

Order Amount, must be greater than 0. Maximum of 18 digits, including at most 2 decimal places.

double

Gets or sets the fee added to the order for merchantFeeForPaymentPlan

consumer
object

Basic information about the customer. (Optional)

billing
object

Customer billing address. (Optional)

shipping
object

Customer shipping address. (Optional)

string

Description of the order

items
array of objects

An array of line items. See sample JSON for item definition. Item names must be between 0 and 1,000 characters. Item SKUs must be between 0 and 100 characters.

items
merchant
object
required
string
required

Your internal order reference. Must be between 0 and 100 characters.

float

Amount of taxes (included in Order Amount). Maximum of 18 digits, including at most 2 decimal places.

float

Amount of Shipping (included in Order Amount). Maximum of 18 digits, including at most 2 decimal places.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json
text/plain